CRMchat APIBeta
Telegram APIAccount

account.getPasswordSettings

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/account.getPasswordSettings

Get private info associated to the password info (recovery email, telegram passport info & so on)

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Get private info associated to the password info (recovery email, telegram passport info & so on)

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.getPasswordSettings" \  -H "Content-Type: application/json" \  -d '{    "params": {      "password": {        "_": "inputCheckPasswordEmpty"      }    }  }'
{  "result": {    "_": "account.passwordSettings",    "email": "string",    "secureSettings": {      "_": "secureSecretSettings",      "secureAlgo": {        "_": "securePasswordKdfAlgoUnknown"      },      "secureSecret": "string",      "secureSecretId": "string"    }  }}